<?php include('../include/auth.php');
include('../include/lskfjwfe.php');
include('../include/header.php');
$fid=$_GET['id'];
$user=$userid;

if (isset($_POST['newritiro'])) {
        //variables to hold our submitted data with post

       
       $fid=$_POST['fid'];
        $oldritiro=$_POST['oldritiro'];
        $oldidplace=$_POST['oldidplace'];
        $newritiro=$_POST['newritiro'];
        $newidplace=$_POST['newidplace'];
        $sql3 = $db2->query("SELECT * FROM jostj_vikrentcar_places WHERE jostj_vikrentcar_places.id=$oldidplace ");
        $row3 = mysqli_fetch_array( $sql3 );
        $sql4 = $db2->query("SELECT * FROM jostj_vikrentcar_places WHERE jostj_vikrentcar_places.id=$newidplace ");
        $row4 = mysqli_fetch_array( $sql4 );
        $newritiro= \DateTime::createFromFormat('d-m-Y H:i', $newritiro)->getTimestamp(); 
        $oldpicktime=date('d-m-Y H:i', $oldritiro);
        $newpicktime=date('d-m-Y H:i', $newritiro);
        $action="Changed Reservation";
        $item="Pick Up";
        $details="Changed ".$item." from ".$row3['name']." ".$oldpicktime." to ".$row4['name']." ".$newpicktime;  
        $dateTimeZone = new DateTimeZone("Europe/Athens");
        $dateTime = new DateTime("now", $dateTimeZone);
        $timeOffset = $dateTimeZone->getOffset($dateTime);
        $date = time() + $timeOffset;
        
        
        $action = $db2->real_escape_string($action);
        $item = $db2->real_escape_string($item);
        $details = $db2->real_escape_string($details);
       

        $db3->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        
        try {
            $db3->beginTransaction();
        
            $sh = $db3->prepare("INSERT INTO reservation_log (reservation_log_id, reservation_log_res, reservation_log_user, reservation_log_date, reservation_log_action, reservation_log_item, reservation_log_details) VALUES (?, ?, ?,?, ?, ?,? )");
            $sh->execute([NULL, $fid, $user, $date, $action, $item, $details]);
        
            $sh = $db3->prepare("UPDATE jostj_vikrentcar_orders SET ritiro=?, idplace=?  WHERE id=?");
            $sh->execute([$newritiro, $newidplace, $fid]);
        
            $db3->commit();
            echo "<div class='alert alert-success'>Record Updated Succesfully</div><script>"; echo "window.location.replace('../reservation.php?d=yes&id=$fid');";
            echo "</script>";   
        exit;
        } catch ( Exception $e ) {
            $db3->rollBack();
            echo "<div class='alert alert-danger'>Error updating record: </div>" . $db3->error;
        }
$db3->close();
} ?>      